[92830] contrib/buildbot/deploy_archives.sh

jmr at macports.org jmr at macports.org
Tue May 8 09:02:39 PDT 2012


Revision: 92830
          https://trac.macports.org/changeset/92830
Author:   jmr at macports.org
Date:     2012-05-08 09:02:38 -0700 (Tue, 08 May 2012)
Log Message:
-----------
buildbot: add some diagnostic checks to deploy_archives.sh

Modified Paths:
--------------
    contrib/buildbot/deploy_archives.sh

Modified: contrib/buildbot/deploy_archives.sh
===================================================================
--- contrib/buildbot/deploy_archives.sh	2012-05-08 15:35:23 UTC (rev 92829)
+++ contrib/buildbot/deploy_archives.sh	2012-05-08 16:02:38 UTC (rev 92830)
@@ -20,6 +20,11 @@
     PRIVKEY=""
 fi
 
+if [[ ! -d $ULPATH ]]; then
+    echo $ULPATH does not exist!
+    exit 1
+fi
+
 if ls ${ULPATH}/*/* > /dev/null 2>&1 ; then
     for archive in ${ULPATH}/*/*; do
         portname=$(basename $(dirname $archive))
@@ -36,6 +41,9 @@
     else
         rsync -av --ignore-existing ${ULPATH}/ ${DLPATH}
     fi
+else
+    echo $ULPATH appears to contain no archives
+    ls -R $ULPATH
 fi
 
 # clean up after ourselves
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20120508/2da6bc07/attachment.html>


More information about the macports-changes mailing list